PHPNews < 1.2.5 auth.php path Parameter Remote File Inclusion

Medium Nessus Network Monitor Plugin ID 2665

Synopsis

The remote host may be tricked into running an executable file.

Description

The remote host is running a version of PHPNews, an open source news
application, that has a remote file inclusion vulnerability in auth.php.
By leveraging this flaw, a attacker can cause arbitrary PHP code to be
executed on the remote host using the permissions of the web server
user.

Solution

Upgrade to version 1.2.5 or higher.

See Also

http://archives.neohapsis.com/archives/bugtraq/2005-03/0026.html

http://newsphp.sourceforge.net/changelog/changelog_1.25.txt

Plugin Details

Severity: Medium

ID: 2665

Family: CGI

Published: 2005/03/02

Modified: 2016/02/05

Dependencies: 1442

Nessus ID: 17247

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 5

Temporal Score: 4.8

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N

Temporal Vector: CVSS2#E:H/RL:W/RC:ND

CVSSv3

Base Score: 5.3

Temporal Score: 5.1

Vector: CVSS3#AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N

Temporal Vector: CVSS3#E:H/RL:W/RC:X

Reference Information

CVE: CVE-2005-0632

BID: 12696